summaryrefslogtreecommitdiff
path: root/app-emulation/steam
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
committerBlackNoxis <steven.darklight@gmail.com>2014-02-15 23:24:26 +0200
commit7224c1253228e5c29c78cb3f0f26ce34770f2356 (patch)
tree1684924656132935256e034f35f92abee6623265 /app-emulation/steam
Added ebuilds for kogaion desktop
Diffstat (limited to 'app-emulation/steam')
-rw-r--r--app-emulation/steam/Manifest1
-rw-r--r--app-emulation/steam/steam-1.0.0.45.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/app-emulation/steam/Manifest b/app-emulation/steam/Manifest
new file mode 100644
index 00000000..a49b07e3
--- /dev/null
+++ b/app-emulation/steam/Manifest
@@ -0,0 +1 @@
+DIST steam_1.0.0.45.tar.gz 2340210 SHA256 58f42d2d4980dd9a66445a2b60a6d336140a6ee6171803c6f925b5d1b2462942 SHA512 a36a769478145d4e85ac051d2d3b8f27783462c9dc5f3ce6e2a8a3acbe7f92b11f026623c968c3b561142dd14cf607c179bbd4cea148f546db5208ee38a4e763 WHIRLPOOL bb48d1c6f0454c4b05dd63ecdcef3e1b11854e9874d270670d2bbad21c0bb4590bee6896e1a07b914c593428c106d82d8c683db63db807c398f371bdca8a1ff1
diff --git a/app-emulation/steam/steam-1.0.0.45.ebuild b/app-emulation/steam/steam-1.0.0.45.ebuild
new file mode 100644
index 00000000..6a1e1ba2
--- /dev/null
+++ b/app-emulation/steam/steam-1.0.0.45.ebuild
@@ -0,0 +1,41 @@
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="Digital distribution client bootstrap package"
+HOMEPAGE="http://steampowered.com/"
+SRC_URI="http://repo.steampowered.com/${PN}/pool/${PN}/s/${PN}/${PN}_${PV}.tar.gz"
+
+LICENSE="custom"
+SLOT="0"
+KEYWORDS="amd64 x86"
+
+EMUL_X86_VER=20120520
+
+RDEPEND="
+ virtual/ttf-fonts
+ dev-util/desktop-file-utils
+ x11-themes/hicolor-icon-theme
+ net-misc/curl
+ sys-apps/dbus
+ media-libs/freetype
+ x11-libs/gdk-pixbuf
+ gnome-extra/zenity
+ amd64? (
+ >=app-emulation/emul-linux-x86-xlibs-${EMUL_X86_VER}
+ >=app-emulation/emul-linux-x86-soundlibs-${EMUL_X86_VER}
+ >=app-emulation/emul-linux-x86-opengl-${EMUL_X86_VER}
+ )
+ x86? (
+ media-libs/alsa-lib
+ media-libs/mesa
+ x11-libs/libX11
+ )"
+
+S=${WORKDIR}/${PN}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "make install failed"
+ rm -rf "${D}"/usr/bin/steamdeps || die # we don't use apt-get
+ dosym /bin/true /usr/bin/steamdeps || die # create blank steamdeps
+}